PUT Update course
Update course details
Update course details
AuthorizationBearer <token>
Send API keys and access tokens as Authorization: Bearer .
In: header
Path Parameters
id*string
Course UUID
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/courses/{id}" \ -H "Content-Type: application/json" \ -d '{ "title": "Example title", "description": "Example description", "category_id": "{category_id}", "difficulty": "beginner", "duration_minutes": 1, "thumbnail_url": "https://example.com" }'{ "data": { "id": "{id}", "title": "string", "slug": "string", "description": "string", "category": { "id": "{id}", "name": "string" }, "difficulty": "beginner", "duration_minutes": 0, "thumbnail_url": "string", "status": "draft", "statistics": { "enrollment_count": 0, "completion_rate": 0 }, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" }, "meta": { "organization_id": "{organization_id}", "total": 0, "total_count": 0, "limit": 0, "offset": 0, "has_more": true, "requested_at": "2019-08-24T14:15:22Z" }}{ "error": "string", "code": "string", "message": "string"}{ "error": "string", "code": "string", "message": "string"}{ "error": "string", "code": "string", "message": "string"}{ "error": "string", "code": "string", "message": "string"}